# Two samples of exception handling
# Attempt to read a comma separated file where temperature is on second field
# use temps.txt, badtemps.txt and aslkdfj as file names

def main1():
    name = input("Enter file name: ")
    sum = 0
    count = 0

    try:
        tempfile = open(name, "r")          # this can go wrong
        for line in tempfile:
            parts = line.split(",")
            temperature = float(parts[1])   # this can go wrong, too
            sum += temperature
            count += 1
        tempfile.close()
    except OSError:
        print("Error in reading file", name)
    except ValueError:
        print("Incorrect temperature in file", name, "See:", line.rstrip())
    if count != 0:
        print(count, "temperature observations items with average of", sum/count)

# note here that the whole file is read, as the value check is nested
def main2():
    name=input("Enter file name: ")
    sum = 0
    count = 0

    try:
        tempfile = open(name, "r")
        sum = 0
        count = 0
        for line in tempfile:
            parts = line.split(",")
            try:
                temperature = float(parts[1])
                sum += temperature
                count += 1
            except ValueError:
                print("Incorrect temperature in file", name, "See:", line.rstrip())
        tempfile.close()
    except OSError:
        print("Error in reading file", name)
    if count != 0:
        print(count, "temperature observations items with average of", sum/count)

# select main1 or main2 to decide which one to run
main1()